Bug 141678 - clock-applet: possible memory leak
clock-applet: possible memory leak
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 16:18 EST by Martin Biely
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-05 05:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Biely 2004-12-02 16:18:25 EST
Description of problem:
Clock-applet seems to suffer from a memory leak.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND 
         
2175 user    15   0  211m 101m  18m S  0.6 20.2  48:37.45 clock-applet
     

at first I thought the memory usage comes with runtime (16 days now).
after scrolling back and forth _an_awful_lot_ I got: 
  
2175 user    15   0  212m 146m  18m S  0.3 29.1  48:45.86 clock-applet
     

However, I'm still not convinced its only the calender view, as I have
used it more in the last 10 minutes than in the last month.



Version-Release number of selected component (if applicable):
gnome-panel-2.6.0-9

How reproducible:
Didn't try

Steps to Reproduce:
1. start clock-applet
2. scroll back and forth a view month/years
3. repeat until out of memory
    
(or)
1. start clock-applet
2. wait two weeks
3. check memory usage

Actual Results:  uses 211m of virtual memory. 

Expected Results:  use less memory

Additional info:

from the same top output:
2169 me  15  0  112m  54m  18m S  0.3 10.8  43:15.26 battstat-applet   

so it might be a leak in a common library
Comment 1 Need Real Name 2004-12-11 19:51:47 EST
I've also noticed the clock applet taking what looked like excessive
amounts of memory (like 20 meg).  I thought it was just typical insane
bloat, but a leak makes more sense.
Comment 2 Matthew Miller 2005-04-26 11:10:08 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Mark McLoughlin 2005-05-05 05:08:42 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.